
QGIS Application - Bug report #4586

Raster calculator: fails if file name has spaces

2011-12-01 03:30 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Raster Calculator

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14493

Description

Doing a simple expression like raster1@1 * raster 2@1 fails because one of the filenames has spaces

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-08-13 01:44 AM - Marco Hugentobler

- Status changed from Open to Feedback

This one should be fixed 2 weeks ago commit:ba86804

Please test and report back.

#5 - 2013-08-13 10:10 AM - Paolo Cavallini

Now raster names are surrounded by "" when added by double clicking, so the expression works. If they are written by hand without "", however, the result

is all 0s

#6 - 2013-09-09 05:43 AM - Paolo Cavallini

- Status changed from Feedback to Open

#7 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2016-05-22 01:38 PM - Jürgen Fischer

- Category changed from C++ Plugins to Plugin Manager
#9 - 2016-05-23 01:53 AM - Jürgen Fischer

- Category changed from Plugin Manager to Raster Calculator

#10 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2018-02-06 12:23 PM - Alexander Bruy

- Status changed from Open to Feedback

IMHO this should be closed, as users should use correct syntax when writing expression by hands.

#12 - 2018-02-06 12:33 PM - Paolo Cavallini

I don't agree: spaces in filenames are accepted by QGIS, so they should be escaped by calc engine.

#13 - 2018-02-22 12:30 PM - Giovanni Manghi

Where do we stand with this?

#14 - 2018-02-23 10:34 AM - Paolo Cavallini

Well, IMHO this is still an usability issue. What is your feeling?

#15 - 2018-11-11 11:19 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

identifiers with blanks in them have to be quoted - also in in "regular" expressions.  So I don't see an issue here.
